%global npmname ansi
%global npminstdir /usr/lib/node_modules/%{npmname}

Summary: Advanced ANSI formatting tool for Node.js 
Name: nodejs-%{npmname}
Version: 0.1.2
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/TooTallNate/ansi.js
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Provides: nodejs-%{npmname} = %{version}

%description
ansi.js is a module for Node.js that provides an easy-to-use API for
writing ANSI escape codes to `Stream` instances. ANSI escape codes are used to do
fancy things in a terminal window, like render text in colors, delete characters,
lines, the entire window, or hide and show the cursor, and lots more!


%prep
%setup -q -n package

%build

%install
# Run the scripts (except test scripts)

# Setup and copy packages over
mkdir -p %{buildroot}/%{npminstdir}
cp -pr .npmignore lib package.json %{buildroot}/%{npminstdir}

# Setup the dependancies

# Setup Binaries

%files
%doc README.md examples
%{npminstdir}

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 0.1.2-1
- Initial build using nodejs spec template

